package net.roseindia.action;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Namespace;
import org.apache.struts2.convention.annotation.Result;
import com.opensymphony.xwork2.ActionSupport;

@Namespace("/roseindia")
public class HelloWorldAction extends ActionSupport{
	private static final long serialVersionUID = 1L;

	
	@Action(value="/HelloWorld",results={@Result(name="success", location="/example/HelloWorld.jsp")})
	public String execute() throws Exception {
		  setMessage(getText(MESSAGE));
		  return SUCCESS;
	}
	
	/**
	 * Provide default value for Message property.
	 */
	  public static final String MESSAGE = "HelloWorld.message";

	  /**
	 * Field for Message property.
	 */
	  private String message;

	  /**
	 * Return Message property.
	 *
	 * @return Message property
	 */
	  public String getMessage() {
	  return message;
	  }

	  /**
	 * Set Message property.
	 *
	 * @param message Text to display on HelloWorld page.
	 */
	  public void setMessage(String message) {
	  this.message = message;
	  }		
}